Package org.eclipse.birt.report.engine.api.script

# Class ScriptException

java.lang.Object
java.lang.Throwable
java.lang.Exception
org.eclipse.birt.core.exception.BirtException
org.eclipse.birt.report.engine.api.script.ScriptException

All Implemented Interfaces:
  `Serializable`

public class ScriptException extends org.eclipse.birt.core.exception.BirtException
Exception thrown in scripting.

See Also:
  - Serialized Form

## Field Summary

### Fields inherited from class org.eclipse.birt.core.exception.BirtException

`CANCEL, ERROR, INFO, oaMessageArguments, OK, pluginId, rb, severity, sResourceKey, WARNING`

## Constructor Summary

Constructors
Constructor
Description
`ScriptException(String message)`
`ScriptException(String message, Throwable root)`
`ScriptException(Throwable root)`

## Method Summary

Modifier and Type
Method
Description
`String`
`getLocalizedMessage()`
`protected String`
`getLocalizedMessage(String errorCode)`
`String`
`getMessage()`

### Methods inherited from class org.eclipse.birt.core.exception.BirtException

`getErrorCode, getPluginId, getSeverity, setSeverity`

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### ScriptException

public ScriptException(String message)

### ScriptException

public ScriptException(Throwable root)

### ScriptException

public ScriptException(String message, Throwable root)

## Method Details

### getLocalizedMessage

public String getLocalizedMessage()

Overrides:
  `getLocalizedMessage` in class `org.eclipse.birt.core.exception.BirtException`

### getLocalizedMessage

protected String getLocalizedMessage(String errorCode)

Overrides:
  `getLocalizedMessage` in class `org.eclipse.birt.core.exception.BirtException`

### getMessage

public String getMessage()

Overrides:
  `getMessage` in class `org.eclipse.birt.core.exception.BirtException`